#pragma once
#include <d3dx9.h>
#include "Direct3D.h"
#include "3DObject.h"

class CCamera
{
	D3DXVECTOR3 Position;	
	D3DXVECTOR3 Target;
	D3DXMATRIX  ProjMatrix;
public:
	CCamera(void);
	void TrackObject(CDirect3D *d3d, ObjectModel *obj);
    
	D3DXVECTOR3 GetPosition();
	D3DXVECTOR3 GetTarget();
    D3DXMATRIX  GetProjMatrix();
public:
	~CCamera(void);
};
